TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Apply ( func f, alist A ) -> alist r

### Description

<shortdoc> Apply `f' to every member of `A' and return the alist of return values. </shortdoc>

### Examples

l:=Alist([3,1],[6,2],[9,3],[12,4]); Apply(i->3*i,l);
l:=[1,2,3,4]; Apply(IsEven,l);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack